<template>
	<el-card class="flex-column" bodyStyle="flex:1" bodyClass="overflow-y-auto">
		<template #header>
			<div class="flex justify-between items-center">
				<div>全局意向提示词</div>
				<el-button :icon="Refresh" circle @click="refreshPrompt"></el-button>
			</div>
		</template>
		<div class="overflow-y-auto whitespace-pre">
			<template v-for="(item, index) in promptPiece" :key="index">
				<Br v-if="item === ''" />
				<p v-else>{{ item }}</p>
			</template>
		</div>
	</el-card>
</template>

<script setup lang="ts">
import { onMounted, ref } from 'vue';
import * as agentApi from '/@/api/agent/';
import { Refresh } from '@element-plus/icons-vue';
const promptPiece = ref([]);
const getGlobalPrompt = async () => {
	const res = await agentApi.GetGlobalSupervisorPrompt();
	promptPiece.value = res?.values ?? [];
};

const refreshPrompt = async () => {
	const res = await agentApi.RestartSupervisorPrompt();
};

onMounted(() => {
	getGlobalPrompt();
});
</script>
<style scoped lang="scss">
:deep(.el-card__header) {
	flex: 0 0 auto;
}
</style>
